App Zone Linux HE910

2 thoughts on “App Zone Linux HE910

  1. I am trying to compile the Hello World app on linux and when I go through the project wizard it only shows GCC ARM v6.4.9.3.

    When I go to compile, I get this error:

    *** >>> Wrong GCC version compiler! Please select GCC 4.9.3. Stop. Test line 36, external location: /opt/DevelopEnv/eclipse/plugins/com.telit.appzonec.plugin.he910_12_00_XX8_0.8.0.121633R3/lib/temp/MakefileGCC.mk C/C++ Problem.

    I look at the Makefile in temp and it seems to be looking for : GCC 5.2.1 or 4.9.3

    ifeq ($(COMPILER_V),GCC521)
      GCC_RELEASE=arm_gcc521
      VER_GCC = 5.2.1
      #NANOLIB = -specs=nano.specs
    else
      ifeq ($(COMPILER_V),GCC493)
       GCC_RELEASE=arm_gcc493
       VER_GCC = 4.9.3
      else
       $(error UNDEFINED COMPILER [$(COMPILER_V)] )
      endif
    endif

    I then look at what arm compiler is installed on my machine when I installed the IoT AppZone ADE and see that is is:

    arm-linux-gnueabi-gcc –versionarm-linux-gnueabi-gcc (Ubuntu/Linaro 5.4.0-6ubuntu1~16.04.1) 5.4.0 20160609

    How can I fix this issue ?